Bug 581913 - Review Request: python-simplegeneric - Simple generic functions (similar to Python's own len(), pickle.dump(), etc.)
Summary: Review Request: python-simplegeneric - Simple generic functions (similar to P...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 956427
TreeView+ depends on / blocked
 
Reported: 2010-04-13 15:31 UTC by Luke Macken
Modified: 2016-09-20 02:40 UTC (History)
4 users (show)

Fixed In Version: python-simplegeneric-0.6-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-14 17:10:54 UTC
dmalcolm: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Luke Macken 2010-04-13 15:31:02 UTC
Spec URL: http://lmacken.fedorapeople.org/rpms/python-simplegeneric.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-simplegeneric-0.6-1.fc12.src.rpm
Description:
The simplegeneric module lets you define simple single-dispatch generic
functions, akin to Python's built-in generic functions like len(), iter() and
so on. However, instead of using specially-named methods, these generic
functions use simple lookup tables, akin to those used by e.g. pickle.dump()
and other generic functions found in the Python standard library.

Comment 1 Dave Malcolm 2010-04-19 18:25:30 UTC
= NEEDS WORK =
Re "The package must be licensed with a Fedora approved license and meet the Licensing Guidelines":
The license field in the specfile reads "PSF or ZPL", and this does match the corrseponding field in the upstream setup.py

However, neither of these are shortnames on the list on https://fedoraproject.org/wiki/Licensing

I believe that these should be changed to "Python" and to one of the ZPL versions.  Please can you clarify with upstream exactly which version of the ZPL license is in use.  Ideally, the license text should be included in the upstream tarball.

= GOOD =
MUST: rpmlint output:
python-simplegeneric.src: W: spelling-error Summary(en_US) len -> Len, ken, en
python-simplegeneric.src: W: spelling-error %description -l en_US len -> Len, ken, en
python-simplegeneric.src: W: spelling-error %description -l en_US iter -> tier, tire, inter
python-simplegeneric.src: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
python-simplegeneric.src: W: invalid-license PSF
python-simplegeneric.src: W: invalid-license ZPL
python-simplegeneric.noarch: W: spelling-error Summary(en_US) len -> Len, ken, en
python-simplegeneric.noarch: W: spelling-error %description -l en_US len -> Len, ken, en
python-simplegeneric.noarch: W: spelling-error %description -l en_US iter -> tier, tire, inter
python-simplegeneric.noarch: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
python-simplegeneric.noarch: W: invalid-license PSF
python-simplegeneric.noarch: W: invalid-license ZPL
2 packages and 0 specfiles checked; 0 errors, 12 warnings.

These look waivable to me

OK: The package must be named according to the Package Naming Guidelines
OK: The spec file name must match the base package
OK: The package must meet the Packaging Guidelines ."
OK: The License field in the package spec file must match the actual license.
N/A: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible.
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
N/A: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
N/A: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
N/A: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
OK: Packages must NOT bundle copies of system libraries.
N/A: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
OK: A Fedora package must not list a file more than once in the spec file's %files listings.
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [15]
OK: Each package must consistently use macros. [16]
OK: The package must contain code, or permissable content. [17]
N/A: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
N/A: Header files must be in a -devel package. [19]
N/A: Static libraries must be in a -static package. [20]
N/A: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
N/A: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} [21]
N/A: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
N/A: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [24]
OK: All filenames in rpm packages must be valid UTF-8. [25]

Comment 2 Luke Macken 2010-04-19 19:33:10 UTC
Spec URL: http://lmacken.fedorapeople.org/rpms/python-simplegeneric.spec
SRPM URL:
http://lmacken.fedorapeople.org/rpms/python-simplegeneric-0.6-2.fc12.src.rpm

* Mon Apr 19 2010 Luke Macken <lmacken@redhat.com> - 0.6-1
- Change license from 'PSF or ZPL' to 'Python or ZPLv2.1'

Comment 3 Dave Malcolm 2010-04-19 20:15:01 UTC
APPROVED

Comment 4 Luke Macken 2010-04-26 14:09:38 UTC
New Package CVS Request
=======================
Package Name: python-simplegeneric
Short Description: Simple generic functions (similar to Python's own len(), pickle.dump(), etc.)
Owners: lmacken
Branches: F-12 F-13 EL-5
InitialCC: dmalcolm

Comment 5 Jason Tibbitts 2010-04-29 02:12:58 UTC
CVS done (by process-cvs-requests.py).

Comment 6 Fedora Update System 2010-05-04 21:14:29 UTC
python-simplegeneric-0.6-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-simplegeneric-0.6-2.fc13

Comment 7 Fedora Update System 2010-05-04 21:14:36 UTC
python-simplegeneric-0.6-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-simplegeneric-0.6-2.fc12

Comment 8 Fedora Update System 2010-05-04 21:14:40 UTC
python-simplegeneric-0.6-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-simplegeneric-0.6-2.el5

Comment 9 Fedora Update System 2010-05-05 07:23:15 UTC
python-simplegeneric-0.6-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-simplegeneric'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-simplegeneric-0.6-2.fc13

Comment 10 Fedora Update System 2010-05-06 00:50:44 UTC
python-simplegeneric-0.6-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-simplegeneric'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-simplegeneric-0.6-2.el5

Comment 11 Fedora Update System 2010-05-06 03:38:35 UTC
python-simplegeneric-0.6-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-simplegeneric'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-simplegeneric-0.6-2.fc12

Comment 12 Fedora Update System 2010-06-14 17:10:48 UTC
python-simplegeneric-0.6-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-06-14 17:17:05 UTC
python-simplegeneric-0.6-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-06-14 21:54:32 UTC
python-simplegeneric-0.6-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.